//   -----   apropos.cpp   -----   //

#include "apropos.moc"
#include <qpixmap.h>
#include <kstandarddirs.h>



// Constructeur
KApropos :: KApropos ( ) : KMainWindow ( )
{
   // Bouton Ok
   btnOk = new QPushButton ( "OK", this ) ;
   btnOk -> setGeometry ( 95, 170, 50, 25 ) ;
   btnOk -> show ( ) ;

   // Label Auteurs
   lblAuteurs = new QLabel ( "Thomas Vierling\nYannick Pichon", this ) ;
   lblAuteurs -> setGeometry ( 120, 35, 110, 40 ) ;
   lblAuteurs -> show ( ) ;
   
   // Label Infos
   lblPropos = new QLabel ( "Projet 50h\nIUP GMI 2me Anne !!\n2002 - 2003", this ) ;
   lblPropos -> setGeometry ( 75, 110, 150, 50 ) ;
   lblPropos -> show (  ) ;

   connect ( btnOk, SIGNAL ( clicked ( ) ), this, SLOT ( slotbtnOk ( ) ) ) ;
}


// ------------------------------------------------------------------------------------------------ //
//			Gestion des vnements
// ------------------------------------------------------------------------------------------------ //

// Fermeture de la fenetre
void KApropos :: closeEvent ( QCloseEvent * )
{
  hide ( ) ;
}


// Dessin de la fenetre
void KApropos :: paintEvent ( QPaintEvent * )
{
   QPixmap *pix = new QPixmap();
   QString kmDir = locate("appdata", "pics/aproposde.png");
   if (!kmDir.isNull()) {
	   pix->load(kmDir);
   } else {
           pix->resize(2,1);
   }
   
      this->setBackgroundPixmap(*pix);
}


// ------------------------------------------------------------------------------------------------ //
//			SLOT
// ------------------------------------------------------------------------------------------------ //

// Slot du bouton Ok
void KApropos :: slotbtnOk ( )
{
   hide ( ) ;
}

