//   -----   attente.cpp   -----   //

#include "attente.moc"


// Constructeur
KAttente :: KAttente ( ) : KMainWindow ( )
{
   // Bouton Oui
   btnAnnuler = new QPushButton ( "Annuler", this ) ;
   btnAnnuler -> setGeometry ( 60, 40, 70, 25 ) ;
   btnAnnuler -> show ( ) ;

   // Label texte
   lblMessage = new QLabel ( "", this ) ;
   lblMessage -> setGeometry ( 25, 5, 175, 30 ) ;
   lblMessage -> show ( ) ;

   connect ( btnAnnuler, SIGNAL ( clicked ( ) ), this, SLOT ( slotbtnAnnuler ( ) ) ) ;
}


// ------------------------------------------------------------------------------------------------ //
//			Gestion des vnements
// ------------------------------------------------------------------------------------------------ //

// Fermeture de la fenetre
void KAttente :: closeEvent ( QCloseEvent *e )
{
  KMainWindow :: closeEvent ( e );
}


// ------------------------------------------------------------------------------------------------ //
//			SLOT
// ------------------------------------------------------------------------------------------------ //

// Slot du bouton Annuler
void KAttente :: slotbtnAnnuler ( )
{
   emit sigAnnuler(id_partie);
   hide ( );
}


// Lorsque la fentre est affiche
void KAttente :: montrer(QString _id_partie, QString adv)
{
   lblMessage->setText("En attente d'une reponse \n de la part de " + adv);
   id_partie = _id_partie;
   show ();
}
