//   -----   file.cpp   -----   //

#include "file.h"
#include <iostream>


// Constructeur
Fifo :: Fifo ( )
{
   fin = 0;
   nbNoeuds = 1;
   fin=new Noeud;
   fin->chaine="temp";
   fin->suivant=fin;
}


// Destructeur
Fifo :: ~Fifo ( )
{
	while(!pas_save())
		supprime();
}


// ------------------------------------------------------------------------------------------------ //
//			Mthodes de la classe Fifo
// ------------------------------------------------------------------------------------------------ //

// Ajoute un lment
void Fifo :: ajoute (QString chaine)
{
   Noeud *ancienFin=fin;
   fin=new Noeud;
   fin->chaine=chaine;
   fin->suivant=ancienFin->suivant;
   ancienFin->suivant=fin;
   ++nbNoeuds;
}


// Ajoute en tte
void Fifo :: ajoute_tete (QString chaine)
{
   Noeud *debut;
   debut=new Noeud;
   debut->suivant=fin->suivant->suivant;
   debut->chaine=chaine;
   fin->suivant->suivant=debut;
   ++nbNoeuds;
}


// Renvoie la longueur de la liste
int Fifo :: longueur()
{
   return nbNoeuds-1;
}


// Teste le nombre d'lments de la liste
bool Fifo :: pas_save ()
{
   return nbNoeuds==0;
}


// Sauvegarde la liste
QString Fifo :: save()
{
   return fin->suivant->chaine;
}


// Supprime un lment
void Fifo :: supprime()
{
   Noeud *save = fin->suivant;
   Noeud *tete = save->suivant;
   fin->suivant = tete;

   delete save;

   --nbNoeuds;
}


// Renvoie la tete de la liste
QString Fifo :: tete()
{
   return (fin->suivant)->suivant->chaine;
}


// Teste si la liste est vide ou non
bool Fifo :: vide()
{
   return nbNoeuds==1;
}
