//   -----   supserv.cpp   -----   //

#include "supserv.moc"

// Constructeur
KSupServ :: KSupServ ( ) : KMainWindow ( )
{
   // Bouton Ok
   btnSupprimer = new QPushButton ( "Supprimer", this ) ;
   btnSupprimer -> setGeometry ( 300, 20, 70, 25 ) ;
   btnSupprimer -> show ( ) ;

   // Bouton Annuler
   btnAnnuler = new QPushButton ( "Annuler", this ) ;
   btnAnnuler -> setGeometry ( 300, 50, 70, 25 ) ;
   btnAnnuler -> show ( ) ;

   // Label Nom
   lblNom = new QLabel ( "Nom du serveur : ", this ) ;
   lblNom -> setGeometry ( 15, 20, 110, 20 ) ;
   lblNom -> show ( ) ;
   // Label Port
   lblPort = new QLabel ( "Port : ", this ) ;
   lblPort -> setGeometry ( 15, 50, 75, 20 ) ;
   lblPort -> show (  ) ;

   // ListBox Nom
   comboNom = new QComboBox ( false, this, "Nom des serveurs" ) ;
   comboNom -> setGeometry ( 120, 20, 150, 25 ) ;
   comboNom -> setFocus (  ) ;
   comboNom -> show ( ) ;
   // Edit Mot de passe
   lblPort2 = new QLabel ( this ) ;
   lblPort2 -> setGeometry ( 120, 50, 50, 20 ) ;
   lblPort2 -> show ( ) ;

   connect ( btnSupprimer, SIGNAL ( clicked ( ) ), this, SLOT ( slotbtnSupprimer ( ) ) ) ;
   connect ( btnAnnuler, SIGNAL ( clicked ( ) ), this, SLOT ( slotbtnAnnuler ( ) ) ) ;
   connect ( comboNom, SIGNAL ( activated ( int ) ), this, SLOT ( slotcomboNom ( int ) ) ) ;
}


// ------------------------------------------------------------------------------------------------ //
//			Gestion des vnements
// ------------------------------------------------------------------------------------------------ //

// Fermeture de la fenetre
void KSupServ :: closeEvent ( QCloseEvent * )
{
  hide ( ) ;
}


// Ouverture de la fenetre
void KSupServ :: showEvent ( QShowEvent * )
{
   comboNom -> clear ( ) ;
   serveurs.clear();
   QString ligne = "";

   int indice = 0;
   lblPort2 -> setText ( "" ) ;
   // Lecture du fichier pour remplir la liste des serveurs
   QFile fichier ( "serveurs.txt" ) ;
   if ( ! fichier.open ( IO_ReadOnly ) )
      return ;
   QTextStream ts ( &fichier ) ;
   while ( !fichier.atEnd ( ) )
   {
      ligne = ts.readLine ( ) ;
      serveurs.push_back(ligne) ;
      comboNom -> insertItem ( ligne ) ;
      indice ++ ;
      ligne = ts.readLine ( ) ;
      serveurs.push_back(ligne) ;
      if ( indice == 1 )
         lblPort2 -> setText ( ligne ) ;
      indice ++ ;
   }
   fichier.close ( ) ;
   val= 0;
}


// ------------------------------------------------------------------------------------------------ //
//			SLOT
// ------------------------------------------------------------------------------------------------ //

// Slot du bouton Supprimer
void KSupServ :: slotbtnSupprimer ( )
{

   if (lblPort2->text() =="")
   	return;

   QMessageBox mb ( "Confirmation", "Etes vous sr de vouloir supprimer ce serveur ?", QMessageBox::Information, QMessageBox::Yes, QMessageBox::No, QMessageBox::Escape ) ;
   mb.setButtonText ( QMessageBox::Yes, "Oui" );
   mb.setButtonText ( QMessageBox::No, "Non" );
   mb.setFixedSize ( 350, 90 ) ;
   if ( mb.exec ( ) == QMessageBox::Yes )
   {
   //cout << "val = " << val<<  endl;
      serveurs [ 2 * val  ] = "" ;
      serveurs [ ( 2 * val ) + 1 ] = "" ;
      //cout << "la ici" << endl;
      FILE *fichier ;
      fichier = fopen ( "serveurs.txt", "w+" ) ;
      if ( fichier == NULL )
         return ;
      else
      {
         // On sauvegarde les serveurs
         for ( uint i = 0; i < serveurs.size(); i++ )
         {
            if ( serveurs [ i ] != "" )
	    {
               fwrite ( serveurs [ i ], strlen ( serveurs [ i ] ), 1, fichier );
	       fwrite ( "\n", 1, 1, fichier ) ;
	    }
         }
         //KMessageBox :: information ( this, "Le serveur a bien t supprim.", "Information" ) ;
         hide ( ) ;
      }
      fclose ( fichier ) ;
   }
   emit sigSupprime();
}


// Slot du bouton Annuler
void KSupServ :: slotbtnAnnuler ( )
{
   hide ( ) ;
}


// Lorsque l'on change de serveur
void KSupServ :: slotcomboNom ( int index )
{
   val = index ;
   lblPort2 -> setText ( serveurs [ ( 2 * index ) + 1] ) ;
}
