//   -----   typepartie.h   -----   //

#ifndef _TYPEPARTIE_H_
#define _TYPEPARTIE_H_

#include <kapp.h>
#include <kmainwindow.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qcombobox.h>
#include <qcheckbox.h>
#include <vector>

using std::vector;


// Classe KTypePartie
class KTypePartie : public KMainWindow
{
   Q_OBJECT
   public :
       KTypePartie ( ) ;
       void creePartie ( ) ;
      void set_joueurs( vector<QString> ) ;
      void ajouteElement (QString);
      void enleveElement (QString);
      void closeEvent ( QCloseEvent * ) ;
      void setLogin(QString s) { login = s ; }
      void setCmbAdv(QString) ;
   public slots :
      void slotbtnOk ( ) ;
      void slotbtnAnnuler ( ) ;
   signals:
      void sigPartie ( QString, QString, QString, bool ) ;
      void sigNouvoCoup ( QString ) ;
   private :
      QCheckBox *checkComptant ;
      QPushButton *btnOk, *btnAnnuler ;
      QComboBox *comboAdv, *comboTaille, *comboCouleur ;
      QLabel *lblAdv, *lblTaille, *lblCouleur, *lblComptant ;
      vector <QString> joueurs;
      QString login;
} ;

#endif
