//   -----   demande.cpp   -----   //

#include "demande.moc"


// Constructeur
KDemande :: KDemande ( ) : KMainWindow ( )
{
    // Label Adversaire
   lblAdv = new QLabel ( "Adversaire : ", this ) ;
   lblAdv -> setGeometry ( 25, 30, 100, 20 ) ;
   lblAdv -> show ( ) ;

   // Label Taille
   lblTaille = new QLabel ( "Taille : ", this ) ;
   lblTaille -> setGeometry ( 25, 65, 100, 20 ) ;
   lblTaille -> show ( ) ;

   // Label Couleur
   lblCouleur = new QLabel ( "Couleur : ", this ) ;
   lblCouleur -> setGeometry ( 25, 100, 100, 20 ) ;
   lblCouleur -> show ( ) ;

   // Label Rated
   lblComptant = new QLabel ( "Comptant : ", this ) ;
   lblComptant -> setGeometry ( 25, 135, 100, 20 ) ;
   lblComptant -> show ( ) ;

   // Edit Adversaire
   editAdv = new QLineEdit ( this ) ;
   editAdv -> setGeometry ( 125, 30, 100, 20 ) ;
   editAdv -> setReadOnly ( true ) ;
   editAdv -> show ( ) ;

   // Edit pour la taille du jeu
   editTaille = new QLineEdit ( this ) ;
   editTaille -> setGeometry ( 125, 65, 75, 20 ) ;
   editTaille -> setReadOnly ( true ) ;
   editTaille -> show ( ) ;

   // Edit pour la couleur
   editCouleur = new QLineEdit ( this ) ;
   editCouleur -> setGeometry ( 125, 100, 75, 20 ) ;
   editCouleur -> setReadOnly ( true ) ;
   editCouleur -> show ( ) ;

   /// CheckBox pour savoir si la partie sera compte ou non
   checkComptant = new QCheckBox ( this ) ;
   checkComptant -> setGeometry ( 125, 135, 15, 15 ) ;
   checkComptant -> setDisabled ( true ) ;
   checkComptant -> show ( ) ;

   // Bouton Ok
   btnAccepter = new QPushButton ( "Accepter", this ) ;
   btnAccepter -> setGeometry ( 250, 50, 70, 30 ) ;
   btnAccepter -> show ( ) ;

   // Bouton Annuler
   btnRefuser = new QPushButton ( "Refuser", this ) ;
   btnRefuser -> setGeometry ( 250, 80, 70, 30 ) ;
   btnRefuser -> show ( ) ;

   connect ( btnAccepter, SIGNAL ( clicked ( ) ), this, SLOT ( slotbtnAccepter ( ) ) ) ;
   connect ( btnRefuser, SIGNAL ( clicked ( ) ), this, SLOT ( slotbtnRefuser ( ) ) ) ;
}


// ------------------------------------------------------------------------------------------------ //
//			Gestion des vnements
// ------------------------------------------------------------------------------------------------ //

// Fermeture de l'application
void KDemande :: closeEvent ( QCloseEvent * )
{
  hide ( ) ;
}


// ------------------------------------------------------------------------------------------------ //
//			SLOT
// ------------------------------------------------------------------------------------------------ //

// Click sur le bouton Accepter
void KDemande :: slotbtnAccepter ( )
{
   emit sigReponse (1, id_demande) ;
}


// Bouton Annuler
void KDemande :: slotbtnRefuser ( )
{
   emit sigReponse (0, id_demande) ;
   hide ( ) ;
}


// Slot remplit les champs
void KDemande :: slotRemplit (QString id, QString a, QString type)
{
   show();
   setFocus();
   adv = a;
   type_demande = "";
   type_demande=type;
   id_demande = id;

   editAdv->setText(adv);

   if (type_demande.right(1) == "w")
   {
      editCouleur->setText(i18n("White"));
      type_demande = type_demande.left(type_demande.length()-1);
   }
   else if (type_demande.right(1) == "b")
   {
      editCouleur->setText(i18n("Black"));
      type_demande = type_demande.left(type_demande.length()-1);
   }
   else if (type_demande.left(1) == "s")
   {
      editCouleur->setText(i18n("Synch"));
      KMessageBox :: information ( this, "Vous venez d'tre challeng par " + adv + " mais KReversi ne vous offre pas la possibilit de faire ce match de type Synch", "Erreur" ) ;
      emit sigReponse (0, id_demande) ;
   }
   else if (type_demande.right(1) == "k")
   {
      editCouleur->setText(i18n("Komi"));
      KMessageBox :: information ( this, "Vous venez d'tre challeng par " + adv + " mais KReversi ne vous offre pas la possibilit de faire ce match de type Komi", "Erreur" ) ;
      emit sigReponse (0, id_demande) ;
   }
   else if ( atoi ( type_demande.right(1) ) > 0 )
   {
      editCouleur->setText(i18n("Random"));
      type_demande = type_demande.left(type_demande.length());
   }
   editTaille -> setText(type_demande + "x" +type_demande);
}

