//   -----   file.h   -----   //

#ifndef _FILE_H_
#define _FILE_H_

#include <qstring.h>
#include <iostream>


// Structure Noeud
struct Noeud
{
   QString chaine;
   Noeud *suivant;
} ;


// Classe Fifo
class Fifo
{
   Noeud *fin;
   int nbNoeuds;

   public :
      Fifo();
      ~Fifo();
      void ajoute(QString chaine);
      void ajoute_tete(QString chaine);
      void supprime();
      QString tete ();
      QString save ();
      int longueur ();
      bool vide();
      bool pas_save();
} ;

#endif
