//   -----   joueurs.h   -----   //

#ifndef _JOUEURS_H_
#define _JOUEURS_H_

#include <kapp.h>
#include <kmainwindow.h>
#include <qlistview.h>
#include <qstring.h>
#include <qpushbutton.h>
#include <qpoint.h>
#include <iostream>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <qbuttongroup.h>
#include <vector>
#include <qpainter.h>

using std::vector;



struct Personne
{
   QString login;
   QString acces;		//indique si le joueur est enregistre
} ;


// Classe KJoueurs pour les joueurs connects
class KJoueurs : public KMainWindow
{
   Q_OBJECT
   public :
      KJoueurs ( ) ;
      void closeEvent ( QCloseEvent * ) ;		// Fermeture de l'application
      void cache ();
      QPushButton *btnRefresh;
      QString getLogin ();
      vector<QString> getJoueurs ();
      void ajouteElement(QString, QString);
      void enleveElement (QString);
   private :
      QListView *listJoueurs ;
       QPushButton *btnChat,*btnInfos, *btnJouer;
      Personne joueur_sel;
      vector<QString> pers;				//contient les personnes connectes
   public slots:
      void slotRemplit (QString);			//remplit la liste
      void slot_clicked(QListViewItem*);		//recupere le nom de la personne selectionnee
      void slotbtnRefresh ( );				//on a clique sur refresh
      void slotbtnInfos ();				//on a clique sur infos
      void slotbtnChat ();				//on a clique sur chat
      void slotbtnJouer (); 				//on a clique sur jouer
      void slot_partie ( QListViewItem* ); 		//on a double clique sur la liste
   signals:
      void sigRemplie(vector<QString>);
      void sigRefresh();
      void sigJoueur(QString, int);
} ;

#endif
