//   -----   nouvserv.cpp   -----   //

#include "nouvserv.moc"

// Constructeur
KNouvServ :: KNouvServ ( ) : KMainWindow ( )
{
   // Bouton ENregistrer
   btnEnregistrer = new QPushButton ( "Enregistrer", this ) ;
   btnEnregistrer -> setGeometry ( 80, 85, 75, 25 ) ;
   btnEnregistrer -> show ( ) ;
   // Bouton Annuler
   btnAnnuler = new QPushButton ( "Annuler", this ) ;
   btnAnnuler -> setGeometry ( 210, 85, 75, 25 ) ;
   btnAnnuler -> show ( ) ;

   // Label Nom
   lblNom = new QLabel ( "Nom du nouveau serveur : ", this ) ;
   lblNom -> setGeometry ( 15, 20, 175, 20 ) ;
   lblNom -> show ( ) ;
   // Label Port
   lblPort = new QLabel ( "Port du nouveau serveur: ", this ) ;
   lblPort -> setGeometry ( 15, 50, 175, 20 ) ;
   lblPort -> show (  ) ;

   // Edit Nom
   editNom = new QLineEdit ( this ) ;
   editNom -> setGeometry ( 180, 20, 150, 20 ) ;
   editNom -> setFocus (  ) ;
   editNom -> show ( ) ;
   // Edit Mot de passe
   editPort = new QLineEdit ( this ) ;
   editPort -> setGeometry ( 180, 50, 50, 20 ) ;
   editPort -> show ( ) ;

   connect ( btnEnregistrer, SIGNAL ( clicked ( ) ), this, SLOT ( slotbtnEnregistrer ( ) ) ) ;
   connect ( btnAnnuler, SIGNAL ( clicked ( ) ), this, SLOT ( slotbtnAnnuler ( ) ) ) ;
}


// ------------------------------------------------------------------------------------------------ //
//			Gestion des vnements
// ------------------------------------------------------------------------------------------------ //

// Fermeture de la fenetre
void KNouvServ :: closeEvent ( QCloseEvent * )
{
  hide ( ) ;
}


// Ouverture de la fenetre
void KNouvServ :: showEvent ( QShowEvent * )
{
   editNom -> clear ( ) ;
   editPort -> clear ( ) ;
   editNom -> setFocus ( ) ;
}


// ------------------------------------------------------------------------------------------------ //
//			SLOT
// ------------------------------------------------------------------------------------------------ //

// Slot du bouton Enregistrer
void KNouvServ :: slotbtnEnregistrer ( )
{
   if ( editNom -> text ( ) =="" || editPort -> text ( )== "" )
   	KMessageBox :: information ( this, "Vous devez entrer un nom de serveur et un port.", "ERREUR" ) ;
   else
   {
      // Ecriture du nouveau serveur dans le fichier

      FILE *fichier ;
      fichier = fopen ( "serveurs.txt", "a+" ) ;
      if ( fichier == NULL )
         return ;
      else
      {
         fseek ( fichier, -1, SEEK_END );
	 fwrite ( editNom -> text ( ), strlen ( editNom -> text ( ) ), 1, fichier ) ;
	 fwrite ( "\n", 1, 1, fichier ) ;
	 fwrite ( editPort -> text ( ), strlen ( editPort -> text ( ) ), 1, fichier ) ;
	 fwrite ( "\n", 1, 1, fichier ) ;
	 KMessageBox :: information ( this, "Le nouveau serveur a t enregistr", "Information" ) ;
	 hide ( ) ;
      }
      fclose ( fichier ) ;
      emit sigUpdate() ; //indique qu'il faut modifier la combobox dans la fentre de login
        // emit sigLogue(editLogin->text(), editMdp->text());*/
   }
}


// Slot du bouton Annuler
void KNouvServ :: slotbtnAnnuler ( )
{
   hide ( ) ;
}

