//   -----   reversi.cpp   -----   //

#include "reversi.moc"

// Constructeur
KReversi :: KReversi ( ) : KMainWindow()
{
   mw = new KMainWindow();
   mw -> setGeometry ( ( KApplication :: desktop ( ) -> width ( ) - 310 ) / 2 , 50, 310, 100 ) ;
   mw -> setCaption ( "KDE Reversi" ) ;
   mw -> setFixedSize ( 310,100 );

   

   mw->statusBar ( ) -> insertItem ( "", 1 ) ;
      // MenuBar
   popJeu = new QPopupMenu ( ) ;
   menuLogin = popJeu -> insertItem ( "&Changer d'utilisateur", this, SLOT ( slotpopChangeUti ( ) ) ) ;
   popJeu -> setItemEnabled ( menuLogin, false ) ;
   popJeu -> insertSeparator ( ) ;
   menuPartie = popJeu -> insertItem ( "Crer une &Partie", this, SLOT ( slotpopnouvTypePartie ( ) ) ) ;
   popJeu -> setItemEnabled ( menuPartie, false ) ;
   popJeu -> insertSeparator ( ) ;
   popJeu -> insertItem ( "&Quitter", this, SLOT ( slotpopQuitter ( ) ) ) ;
   popGgs = new KPopupMenu ( ) ;
   popGgs -> insertItem ( "&Ajouter un serveur", this, SLOT ( slotpopAjoutServeur ( ) ) ) ;
   popGgs -> insertItem ( "&Supprimer un serveur", this, SLOT ( slotpopSupServeur ( ) ) ) ;
   popGgs -> insertSeparator ( ) ;
   menuJoueurs = popGgs -> insertItem ( "&Liste des joueurs connects", this, SLOT ( slotpopJoueurs ( ) ) ) ;
   popGgs -> setItemEnabled ( menuJoueurs, false ) ;

   popAide = new KPopupMenu ( ) ;
   popAide -> insertItem ( "&A propos de...", this, SLOT ( slotpopApropos ( ) ) ) ;


   menu = mw->menuBar ();
   menu -> insertItem ( "&Jeu", popJeu ) ;
   menu -> insertItem ( "&GGS", popGgs ) ;
   menu -> insertItem ( "&help", popAide ) ;

   
   KIconLoader *loader = new KIconLoader("kggs");


   // ToolBar
   tool = mw->toolBar ( ) ;

   barUtilisateur = new KToolBarButton (
		   loader->loadIcon(QString::fromLatin1("kggs_utilisateur.png"), KIcon::NoGroup, KIcon::SizeMedium),
		   1, tool, "barUtilisateur","Changer d'utilisateur");
   barUtilisateur -> setDisabled ( true );

   barPartie = new KToolBarButton (
		   loader->loadIcon(QString::fromLatin1("kggs_partie.png"), KIcon::NoGroup, KIcon::SizeMedium), 
		   1, tool,"barPartie","Nouvellepartie");   
   barPartie -> setDisabled ( true) ;
   barQuitter = new KToolBarButton ( 
		   loader->loadIcon(QString::fromLatin1("kggs_quitter.png"), KIcon::NoGroup, KIcon::SizeMedium), 
		   1, tool,"barQuitter","Quitter");   tool -> addSeparator ( ) ;

   barAjouter = new KToolBarButton (
		   loader->loadIcon(QString::fromLatin1("kggs_ajouter.png"), KIcon::NoGroup, KIcon::SizeMedium), 
		   1, tool,"barAjouter","Ajouter un serveur");

   barSupprimer = new KToolBarButton (
		loader->loadIcon(QString::fromLatin1("kggs_supprimer.png"), KIcon::NoGroup, KIcon::SizeMedium),
		1,tool,"barSupprimer","Supprimer un serveur");   
   
   tool -> addSeparator ( ) ;

   barJoueurs = new KToolBarButton (
		loader->loadIcon(QString::fromLatin1("kggs_joueurs.png"), KIcon::NoGroup, KIcon::SizeMedium), 
		1, tool,"barJoueurs","Listedes joueurs connects");   
   barJoueurs ->setDisabled ( true ) ;   
   tool -> addSeparator ( ) ;

   barAproposde = new KToolBarButton (
    loader->loadIcon(QString::fromLatin1("kggs_icone.png"),
KIcon::NoGroup, KIcon::SizeMedium), 1, 
tool,"barApropsde","APropos De KReversi");   mw->show();
   // Les fenetres
      // Fentre de login
   log = new KLogin ( ) ;
   log -> setCaption ( "Auhentification" ) ;
   log -> setGeometry ( ( KApplication :: desktop ( ) -> width ( ) - 395 ) / 2, ( KApplication :: desktop ( ) -> height ( ) - 105 ) / 2, 395, 135 ) ;
   log -> setMaximumSize ( 390, 130 ) ;
   log -> show ( ) ;


      // Fenetre de la liste des joueurs connects
   joueurs = new KJoueurs ( ) ;
   joueurs -> setCaption ( "Liste Des Joueurs Connects" ) ;
   joueurs -> setGeometry ( 50, 50, 295, 375 ) ;  //1er param= pos en largeur
   joueurs -> setMaximumSize ( 295, 370 ) ;

      // Fenetre du type de partie
   typePartie = new KTypePartie ( ) ;
   typePartie -> setCaption ( "Nouvelle Partie" ) ;
   typePartie -> setGeometry ( ( KApplication :: desktop ( ) -> width ( ) - 325 ) / 2, ( KApplication :: desktop ( ) -> height ( ) - 325 ) / 2, 320, 190 ) ;
   typePartie -> setMaximumSize ( 315, 185 ) ;

   apropos = new KApropos ( ) ;
   apropos -> setCaption ( "A Propos De KReversi" ) ;
   apropos -> setGeometry ( ( KApplication :: desktop ( ) -> width ( ) - 245 ) / 2, ( KApplication :: desktop ( ) -> height ( ) - 215 ) / 2 , 245, 215 ) ;
   apropos -> setMaximumSize ( 240, 210 ) ;

      // Creation de la fenetre infos
   infos = new KInfos ( );
   infos -> setGeometry ( 150,50, 275, 355 ) ;//1er param= pos en largeur
   infos -> setMaximumSize ( 270, 350 ) ;

      // Cration d'un nouveau serveur
   nouvServ = new KNouvServ ( ) ;
   nouvServ -> setGeometry ( ( KApplication :: desktop ( ) -> width ( ) - 255 ) / 2, 300, 355, 125 ) ;
   nouvServ -> setMaximumSize ( 350, 120 ) ;
   nouvServ -> setCaption ( "Ajout d'un nouveau serveur" ) ;

      // Supprime un serveur
   supServ = new KSupServ ( ) ;
   supServ -> setGeometry ( ( KApplication :: desktop ( ) -> width ( ) - 395 ) / 2, 350, 395, 95 ) ;
   supServ -> setMaximumSize ( 390, 90 ) ;
   supServ -> setCaption ( "Suppression d'un serveur" ) ;

      // Fenetre pour le jeu
   jeu = new KJeu ( ) ;
   jeu -> setCaption ( "Partie En Cours" ) ;

      // Fenetre de demande de dfi
   demande = new KDemande ( ) ;
   demande -> setCaption ( "Accepter ce dfi ?" );
   demande -> setGeometry ( ( KApplication :: desktop ( ) -> width ( ) - 320 ) / 2, ( KApplication :: desktop ( ) -> height ( ) - 330 ) / 2, 330, 190 ) ;
   demande -> setMaximumSize ( 325, 185 ) ;

         // creation de la fenetre infos
   chat = new KChat ( );
   chat -> setCaption ( "Dialogue" ) ;
   chat -> setGeometry ( 350,350, 305, 255 ) ;
   chat -> setMaximumSize ( 300, 250 ) ;

       // Fenetre d'attente de reponse
   attente = new KAttente ( );
   attente -> setCaption ( "Attente de la rponse" );
   attente -> setGeometry ( 10, 10, 200, 75 ) ;

   connect ( log, SIGNAL ( sigLogue (QString, QString) ), this, SLOT ( slotLogue (QString, QString) ) ) ;
   connect ( log, SIGNAL ( sigLogue (QString, QString) ), chat, SLOT ( slotLogue (QString, QString) ) ) ;
   connect ( log, SIGNAL (sigQuitter ()), this, SLOT ( slotpopQuitter ( ) ) ) ;
   connect ( joueurs, SIGNAL ( sigRemplie (vector<QString>) ), this, SLOT ( slotRemplie (vector<QString>) ) ) ;
   connect ( joueurs, SIGNAL ( sigRefresh () ), this, SLOT ( slotRefresh () ) ) ;
   connect ( joueurs, SIGNAL ( sigJoueur (QString, int) ), this, SLOT ( slotJoueur (QString, int) ) ) ;
   connect ( chat, SIGNAL ( sigEnvoiMsg (QString, QString) ), this, SLOT ( slotEnvoiMsg (QString, QString) ) ) ;
   connect ( typePartie, SIGNAL ( sigPartie ( QString, QString, QString,bool ) ), this, SLOT ( slotPartie ( QString, QString, QString,bool ) ) ) ;
   connect ( barUtilisateur, SIGNAL ( clicked ( int ) ), this, SLOT ( slotpopChangeUti ( ) ) ) ;
   connect ( barPartie, SIGNAL ( clicked ( int ) ), this, SLOT ( slotpopnouvTypePartie ( ) ) ) ;
   connect ( barQuitter, SIGNAL ( clicked ( int ) ), this, SLOT ( slotpopQuitter ( ) ) ) ;
   connect ( barAjouter, SIGNAL ( clicked ( int ) ), this, SLOT ( slotpopAjoutServeur ( ) ) ) ;
   connect ( barSupprimer, SIGNAL ( clicked ( int ) ), this, SLOT ( slotpopSupServeur ( ) ) ) ;
   connect ( barJoueurs, SIGNAL ( clicked ( int ) ), this, SLOT ( slotpopJoueurs ( ) ) ) ;
   connect ( barAproposde, SIGNAL ( clicked ( int ) ), this, SLOT ( slotpopApropos ( ) ) ) ;
   connect ( jeu, SIGNAL ( sigNouvoCoup (QString) ), this, SLOT ( slotNouvoCoup (QString) ) ) ;
   connect ( jeu, SIGNAL ( sigFinPartie (QString) ), this, SLOT ( slotFinPartie (QString) ) );
   connect ( jeu, SIGNAL (sigDemande(QString, QString, QString)), demande, SLOT (slotRemplit (QString, QString, QString) ) );
   connect ( demande, SIGNAL (sigReponse(int , QString)), this, SLOT (slotRepDemande (int, QString) ) );
   connect ( demande, SIGNAL (sigReponse(int , QString)), jeu, SLOT (slotRepDemande (int, QString) ) );
   connect ( jeu, SIGNAL ( sigAttente (QString) ), this, SLOT ( slotAttente (QString) ) );
   connect ( attente, SIGNAL ( sigAnnuler (QString) ), this, SLOT ( slotAnnulerDemande (QString) ) );
   connect ( nouvServ, SIGNAL (sigUpdate () ), log, SLOT ( slotRefresh () ) );
   connect ( supServ, SIGNAL (sigSupprime () ), log, SLOT (slotRefresh () ) );
   connect ( attente, SIGNAL (sigAnnuler (QString) ), jeu, SLOT ( slotAnnule () ) );
   connecte = false ;
   a_deconnecte = false;
}


// Destructeur
KReversi :: ~KReversi ( )
{
   delete log ;
   delete joueurs ;
   delete typePartie ;
   delete mw;
}


// ------------------------------------------------------------------------------------------------ //
//			Gestion des vnements
// ------------------------------------------------------------------------------------------------ //

// Fermeture de la fenetre
void KReversi :: closeEvent ( QCloseEvent *e )
{
   //mw->close();
   //this->close();
   KMainWindow :: closeEvent ( e ) ;
}


// ------------------------------------------------------------------------------------------------ //
//			Mthodes de la classe KReversi
// ------------------------------------------------------------------------------------------------ //


// Barre de status
void KReversi :: statusMsg ( const QString &text )
{
   mw->statusBar ( ) -> clear ( ) ;
   mw->statusBar ( ) -> changeItem ( text, 1 ) ;
}

KMainWindow * KReversi :: get_mw()
{
   return mw;
}


// ------------------------------------------------------------------------------------------------ //
//			SLOT
// ------------------------------------------------------------------------------------------------ //

// SLOT A Propos de...
void KReversi :: slotpopAjoutServeur( )
{
   statusMsg ( "Ajouter un serveur" );
   nouvServ -> show ( ) ;
}


// SLOT Supprime un serveur
void KReversi :: slotpopSupServeur ( )
{
   statusMsg ( "Supprimer un serveur" );
   supServ -> show ( ) ;
}


// SLOT Liste des joueurs connects
void KReversi :: slotpopJoueurs ( )
{
   statusMsg ( "Liste des joueurs connects" );
   joueurs -> show ( ) ;
}


// SLOT A Propos de...
void KReversi :: slotpopApropos ( )
{
   statusMsg ( "A Propos de..." );
   apropos -> setFocus ( ) ;
   apropos -> show ( ) ;
}


// Menu Jeu -> Changement d'utilisateur
void KReversi :: slotpopChangeUti ( )
{
   statusMsg ( "Changement d'utilisateur" );
   QMessageBox mb ( "Confirmation", "Etes vous sr de vouloir vous dconnecter ?", QMessageBox::Information, QMessageBox::Yes, QMessageBox::No, QMessageBox::Escape ) ;
   mb.setButtonText ( QMessageBox::Yes, "Oui" );
   mb.setButtonText ( QMessageBox::No, "Non" );
   mb.setFixedSize ( 330, 90 ) ;
   if ( mb.exec ( ) == QMessageBox::Yes )
   {
      if ( connecte == 1 )
      {
         serveur -> send ("quit");
	 connecte=0;
	 log -> efface ( ) ;
   	 joueurs->cache ( ) ;
      }
      log -> setFocus ( );
      log -> show ( ) ;
      log -> setFocus ( );
      popJeu -> setItemEnabled ( menuLogin, false ) ;
      popJeu -> setItemEnabled ( menuPartie, false ) ;
      popGgs -> setItemEnabled ( menuJoueurs, false ) ;
      popGgs -> setItemEnabled ( menuChange, true ) ;
      barUtilisateur -> setDisabled ( true );
      barPartie -> setDisabled ( true ) ;
      barJoueurs -> setDisabled ( true ) ;
      a_deconnecte = true;
   }

}


// Menu Jeu -> Nouvelle Partie
void KReversi :: slotpopnouvTypePartie ( )
{
   statusMsg ( "Nouvelle Partie" ) ;
   typePartie -> setFocus ( ) ;
   typePartie -> show ( ) ;
}


// Menu Jeu -> Quitter
void KReversi :: slotpopQuitter ( )
{
   QMessageBox mb ( "Quitter", "Etes vous sr de vouloir quitter ?", QMessageBox::Warning, QMessageBox::Yes, QMessageBox::No, QMessageBox::Escape ) ;
   mb.setButtonText ( QMessageBox::Yes, "Oui" );
   mb.setButtonText ( QMessageBox::No, "Non" );
   mb.setFixedSize ( 270, 90 ) ;

   if ( mb.exec ( ) == QMessageBox::Yes )
   {
      if (connecte == 1)
      {
         serveur->send("quit");
	 connecte=0;
      }
      close ( ) ;
   }
}


// Slot ajoute un serveur
void KReversi :: slotAjoutServeur ( )
{
   nouvServ -> show ( ) ;
   nouvServ -> setFocus ( ) ;
}


// Slot pour le login
void KReversi :: slotLogue (QString l, QString pwd)
{
   QString nom, port;

   login = l;
   mdp = pwd;


   if ( ( nom=log->getNomServeur() ) == NULL || (port = log -> getPort() ) == NULL )
   {
      nom = "opal.cs.ualberta.ca";
      port= "5000";
   }

   statusMsg ("Connexion  " + nom);
   serveur = new GGS ( nom, port.toInt() ) ;
   connect ( serveur, SIGNAL ( sigMessage (QString) ), this, SLOT ( slotMessage (QString) ) ) ;
   connect ( serveur, SIGNAL ( sigLogin () ), this, SLOT ( slotLogin () ) ) ;
   connect ( serveur, SIGNAL ( sigListe (QString) ), joueurs, SLOT ( slotRemplit (QString) ) ) ;
   connect ( serveur, SIGNAL ( sigRemplitInfos(QString) ), infos, SLOT ( slotRemplit (QString) ) ) ;
   connect ( serveur, SIGNAL ( sigMsgEnvoye (int, QString, QString) ), chat, SLOT ( slotMsgEnvoye (int, QString, QString) ) ) ;
   connect ( serveur, SIGNAL ( sigJeu (QString) ), jeu, SLOT ( slotMsgRecu (QString) ) ) ;
   connect ( serveur, SIGNAL ( sigAjouteJoueur (QString, QString) ), this, SLOT ( slotAjouteJoueur (QString, QString) ) ) ;
   connect ( serveur, SIGNAL ( sigEnleveJoueur (QString) ), this, SLOT ( slotEnleveJoueur (QString) ) ) ;
   connect ( serveur, SIGNAL ( sigEnleveJoueur (QString) ), chat, SLOT ( slotDepartJoueur (QString) ) ) ;
   connect ( serveur, SIGNAL ( sigDeco() ) , this, SLOT ( slotDeco () ) ) ;
   connect ( serveur, SIGNAL ( sigStatus ( QString ) ) , this, SLOT ( slotStatus ( QString ) ) ) ;

   serveur->send(login);
   serveur->send(mdp);
   typePartie->setLogin(login);
   chat-> efface(1);
   serveur -> send ("notify + *");
   serveur->send("who");
   serveur->send("t /os open 1");
   serveur -> send ("t /os client +");
   jeu -> setJoueurs( login, adv );
}


// Slot pour le login
void KReversi :: slotLogin ()
{
   log-> efface();
   log -> show();
}


// Slot de message d'erreur
void KReversi :: slotMessage (QString mess)
{
   KMessageBox :: information ( this, mess, "Erreur" ) ;
}


// Slot pour l'affichage de la liste des joueurs
void KReversi :: slotRemplie ( vector<QString> v )
{
   connecte=1;
   a_deconnecte = 0;
   chat->set_gamers(v);
   serveur->set_joueurs(v);
   typePartie ->set_joueurs(v);
   joueurs -> setFocus ( ) ;
   joueurs->show();
   popJeu -> setItemEnabled ( menuLogin, true ) ;
   popJeu -> setItemEnabled ( menuPartie, true ) ;
   popGgs -> setItemEnabled ( menuJoueurs, true ) ;
   popGgs -> setItemEnabled ( menuChange, false ) ;
   barUtilisateur -> setDisabled ( false );
   barPartie -> setDisabled ( false );
   barJoueurs -> setDisabled ( false ) ;
}


// Raffraichit la liste
void KReversi :: slotRefresh ()
{
   serveur->send("who");
}


//  Cration d'une partie
void KReversi :: slotPartie ( QString adv, QString taille, QString col, bool rated )
{
   popJeu -> setItemEnabled ( menuPartie, false ) ;
   barPartie -> setDisabled ( true );
   bool ok ;
   int t = taille.toInt ( &ok, 10 ) ;
   jeu -> setCaption ( "Partie En Cours" ) ;
   jeu -> setGeometry ( ( KApplication :: desktop ( ) -> width ( ) - ( ( t * 25 ) + 230 ) ) / 2,  ( KApplication :: desktop ( ) -> height ( ) - ( ( t * 25 ) + 90 ) ) / 2, ( t * 25 ) + 230, ( t * 25 ) + 90 ) ;
   jeu -> setFixedSize ( ( t * 25 ) + 230, ( t * 25 ) + 85 ) ;
   jeu -> setTaille ( t );

   typePartie -> hide ( ) ;

   this->adv=adv;

   if (rated)
      serveur -> send ("t /os rated +");
   else
      serveur -> send ("t /os rated -");

   serveur -> send ( "t /os ask " + QString ( taille ) + "x" + col + " " + adv ) ;

   jeu -> set_demande(true);
   jeu -> setJoueurs(login, adv);

   jeu -> setFocus ( ) ;
}


// Information d'un joueur
void KReversi :: slotJoueur (QString s, int i)
{
   if (i==1)
   {
      infos ->show();
      infos-> setFocus();
      infos -> setCaption ( "Informations  propos de " + s) ;
      serveur->send("finger " + s);
   }
   else if (i==2)
   {
      chat-> efface(0);
      chat-> setNom (s);
      chat-> show();
      chat-> setFocus();
   }
   else if (i==3)
   {
      typePartie->show();
      typePartie->setFocus();
      if (s!="")
         typePartie->setCmbAdv(s);
   }
}


// Envoie d'un message
void KReversi :: slotEnvoiMsg (QString s, QString d)    //slot que l'on recoit de chat lorsque l'on veut envoyer un message
{
   if (d==".chat")
      serveur -> send("yell " + s);
   else
   {
      if (d!="")
         serveur -> send("tell " + d + " " + s);
   }
}


// Envoi au serveur la position joue
void KReversi :: slotNouvoCoup ( QString c )
{
   serveur -> send ( c ) ;
}


// Ajout d'un joueur
void KReversi :: slotAjouteJoueur (QString nom, QString droit)
{
   joueurs -> ajouteElement (nom, droit);
   typePartie->ajouteElement(nom);
   chat->ajouteElement(nom);
}


// Suppression d'un joueur
void KReversi :: slotEnleveJoueur (QString nom)
{
joueurs -> enleveElement(nom);
typePartie -> enleveElement(nom);
chat-> enleveElement(nom);
}


// Fin d'une partie
void KReversi :: slotFinPartie (QString num_partie)
{
   if (num_partie!="")
      serveur->send ("t /os break " + num_partie);

   popJeu -> setItemEnabled ( menuPartie, true ) ;
   barPartie -> setDisabled ( false );
}


// Demande d'une partie
void KReversi :: slotRepDemande (int s, QString id)
{
   if (s==1) //on accepte le match
      serveur -> send ("t /os accept " + id);
   else
      serveur -> send ("t /os decline " + id);

   demande->hide();
}


// Attente de la rponse du match
void KReversi :: slotAttente(QString id)
{
   if (id=="false") //l'utilisateur a accepte la partie, on cache la fenetre
   {
      attente->hide();
      jeu->setDemandeEnCours(false);
   }
   else if (id=="false+fin")
   {
      attente->hide();
      jeu->setDemandeEnCours(false); // l'utilisateur a refuse la demande, on cache la fenetre d'attente et on permet de nouveau a l'utilisateur de commencer une partie
      popJeu -> setItemEnabled ( menuPartie, true );
      barPartie -> setDisabled ( false );
   }
   else //on vient de faire une demande, on montre la fenetre d'attente
   {
      attente -> montrer (id, adv);
      jeu->setDemandeEnCours(true);
   }
}

// Annuler une demande
void KReversi :: slotAnnulerDemande (QString num_partie)
{
   if (num_partie!="")
      serveur->send ("t /os cancel " + num_partie);
      
   popJeu -> setItemEnabled ( menuPartie, true ) ;
   barPartie -> setDisabled ( false ) ;
}

void KReversi :: slotDeco ()
{
   connecte = 0;
   log->show ();
}
